data{
    int N;
    int F[N];
    int Xr1[N];
    int Xr2[N];
    int Xr3[N];
    int Xc1[N];
    int Xc2[N];
    int Xc3[N];
    }
parameters{
    real mu;
    real a2;
    real a3;
    real b2;
    real b3;
    real g22;
    real g23;
    real g32;
    real g33;
}
transformed parameters{
    real Lmbd[N];
    real LogLmbd[N];
    for (i in 1:N)
        LogLmbd[i] = mu + a2 * Xr2[i] + a3 * Xr3[i]
                        + b2 * Xc2[i] + b3 * Xc3[i]
                        + g22 * Xr2[i] * Xc2[i] + g23 * Xr2[i] * Xc3[i]
                        + g32 * Xr3[i] * Xc2[i] + g33 * Xr3[i] * Xc3[i];
    for (i in 1:N)
    Lmbd[i] = exp(LogLmbd[i]);
}
model{
    for (i in 1:N)
        F[i] ~ poisson(Lmbd[i]);
}
